package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.ScoreList;
import org.dromara.ygpassport.domain.vo.ScoreListVo;
import org.dromara.ygpassport.domain.bo.ScoreListBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 学生成绩信息列Service接口
 *
 * @author Lion Li
 * @date 2023-10-30
 */
public interface IScoreListService extends MPJBaseService<ScoreList> {

    /**
     * 查询学生成绩信息列
     */
    ScoreListVo queryById(Long id);

    /**
     * 根据学号查询学生成绩信息列
     */
    List<ScoreListVo> queryListByStuNo(String stuNo);

    /**
     * 查询学生成绩信息列列表
     */
    TableDataInfo<ScoreListVo> queryPageList(ScoreListBo bo, PageQuery pageQuery);

    /**
     * 查询学生成绩信息列列表
     */
    List<ScoreListVo> queryList(ScoreListBo bo);

    /**
     * 新增学生成绩信息列
     */
    Boolean insertByBo(ScoreListBo bo);

    /**
     * 修改学生成绩信息列
     */
    Boolean updateByBo(ScoreListBo bo);

    /**
     * 校验并批量删除学生成绩信息列信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
